Bug 64238 - Bad: eCos library creation failure
Bad: eCos library creation failure
Status: CLOSED CURRENTRELEASE
Product: eCos
Classification: Retired
Component: ConfigTool (Show other bugs)
1.3.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bart Veer
eCos bugs internal list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 22:31 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-29 22:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-29 22:31:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 95)

Description of problem:
Bad:
When I use eCos v1.3.1 on Windows 95 to configure ARM PID system by 
selecting 'Library'. Then I get the following error message.

"
*** Process -386653 created "make -j1"
make -r -C hal/arm/arch/v1_3_1 headers
make[1]: Entering directory `/c/tmp/armpid_build/hal/arm/arch/v1_3_1'
makefile:91: //C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak: No such 
host or network path
make[1]: stat://C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak: No such 
host or network path
make[1]: *** No rule to make target 
`//C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak'.  Stop.
make[1]: Leaving directory `/c/tmp/armpid_build/hal/arm/arch/v1_3_1'
make: *** [headers] Error 2

*** Process -386653 terminated (rc=2)"

I find there are some potential bugs in this routine cygpath() in the 
file "build.cxx" which is located in 
ecos/tools/src/tools/configtool/common/common. Where I can get the solution to 
fix this big problem ? Can somebody give me an asnwer ? Thanks all.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Select "templates" as ARM development board (PID) (This eCos v1.3.1 is run on 
Windows 95)
2.Select "Library" to build up the eCos library codes.
3.Find the error messages in the output window of eCos.




Actual Results:  *** Process -386653 created "make -j1"
make -r -C hal/arm/arch/v1_3_1 headers
make[1]: Entering directory `/c/tmp/armpid_build/hal/arm/arch/v1_3_1'
makefile:91: //C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak: No such 
host or network path
make[1]: stat://C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak: No such 
host or network path
make[1]: *** No rule to make target 
`//C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak'.  Stop.
make[1]: Leaving directory `/c/tmp/armpid_build/hal/arm/arch/v1_3_1'
make: *** [headers] Error 2

*** Process -386653 terminated (rc=2)"



Expected Results:  If the path is correct, these messages should not be shown 
makefile:91: //C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak: No such 
host or network path
make[1]: stat://C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak: No such 
host or network path
make[1]: *** No rule to make target 
`//C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak'.  Stop.

The correct path should be like as 
`/C/PROGRA~1/REDHAT~1/eCos/packages/pkgconf/rules.mak'


Additional info:
Comment 1 Jonathan Larmour 2002-04-30 08:56:45 EDT
This happened due to a change in Cygwin since 1.3.1 was released. You need to
use updated
configuration tools which you can find linked from
http://sources.redhat.com/ecos/anoncvs.html

Note You need to log in before you can comment on or make changes to this bug.